Draft Punkt

From FreeCAD Documentation
This page is a translated version of the page Draft Point and the translation is 97% complete.
Outdated translations are marked like this.

Draft Punkt

Menüeintrag
Zeichnen → Punkt
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
0.7
Siehe auch
Keiner

Beschreibung

Der Befehl Draft Punkt erstellt einen einfachen Punkt. Draft-Punkte können nützlich sein als Referenz für die Positionierung von Linien, Polylinien oder anderen Objekten.

Anwendung

Siehe auch: Draft-Ablage, Draft-Einrasten und Draft-Beschränken.

  1. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
  2. Die Schaltfläche Punkt drücken.
    • Den Menüeintrag Zeichnen → Punkt auswählen.
    • Der Aufgaben-Bereich Punkt wird geöffnet. Siehe Optionen für weitere Informationen.
  3. Einen Punkt in der 3D-Ansicht auswählen oder die Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken.

Optionen

Die im Aufgaben-Bereich vorhandenen Einzelzeichen-Tastaturkürzel können geändert werden. Siehe Draft Einstellungen. Die hier genannten Tastaturkürzel sind die voreingestellten Tastaturkürzel (für Version 0.22).

  • Zum manuellen Eingeben von Koordinaten, werden die X-, Y- und Z-Komponenten jeweils mit abschließendem Enter eingegeben. Oder man drückt die Schaltfläche Punkt eingeben, sobald alle gewünschten Werte eingegeben sind. Es ist ratsam, den Mauszeiger aus der 3D-Ansicht heraus zu bewegen, bevor Koordinaten eingegeben werden.
  • G drücken oder die Checkbox Global aktivieren, um den Global-Modus umzuschalten. Ist der Global-Modus aktiviert, beziehen sich Koordinaten auf das globale Koordinatensystem, andernfalls beziehen sie sich auf das Koordinatensystem der Arbeitsebene. eingeführt mit Version 0.20
  • N drücken oder die Checkbox Fortsetzen aktivieren, um den Fortsetzen-Modus umzuschalten. Ist der Fortsetzen-Modus aktiviert, wird der Befehl nach dem Beenden erneut gestartet und ermöglicht so mit dem Erstellen von Punkten fortzufahren.
  • S drücken, um Draft Einrasten ein- bzw. auszuschalten.
  • Esc oder die Schaltfläche Schließen drücken, um den Befehl abzubrechen.

Hinweise

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Draft-Punkt-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Draft

  • Daten-EigenschaftX (Abstand): gibt die X Koordinate des Punktes an.
  • Daten-EigenschaftY (Abstand): gibt die Y Koordinate des Punktes an.
  • Daten-EigenschaftZ (Abstand): gibt die Z Koordinate des Punktes an.

Ansicht

Draft

  • Ansicht-EigenschaftPattern (Enumeration): nicht verwendet.
  • Ansicht-EigenschaftPattern Size (Float): nicht verwendet.

Skripten

Siehe auch: Autogenerierte API-Dokumentation und FreeCAD Grundlagen Skripten.

Um einen Draft-Punkt zu erstellen, wird die Methode make_point (eingeführt mit Version 0.19) des Draft-Moduls verwendet. Diese Methode ersetzt die veraltete Methode makePoint.

point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Erstellt ein Punkt-Objekt an den angegebenen X-, Y- und Z-Koordinaten mit Einheiten in mm. Falls keine Koordinaten angegeben werden, wird der Punkt bei (0,0,0) angelegt.
    • Falls X ein durch einen FreeCAD.Vector definierter Punkt ist, wird dieser verwendet.
  • color ist ein Tupel (R, G, B), das die Farbe des Punktes in der RGB-Farbskala angibt; jeder Wert des Tupels sollte im Bereich von 0 bis 1 liegen.
  • name ist der Name des Objekts.
  • point_size ist die Größe des Objekt in Pixeln, falls die grafische Benutzeroberfläche geladen ist

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()

Beispiel:

Dieser Code erzeugt N zufällige Punkte innerhalb eines Quadrats der Seitenlänge 2L. Er macht eine Schleife, die N Punkte erzeugt, die überall von -L bis +L auf X und Y erscheinen können. Er wählt auch eine zufällige Farbe und Größe für jeden Punkt. Ändere N, um die Anzahl der Punkte zu ändern, und ändere L, um den von den Punkten abgedeckten Bereich zu ändern.

import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()